> For the complete documentation index, see [llms.txt](https://docs.chamilo.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chamilo.org/2.x-de/administrationshandbuch/admin-guide/authentication/cas.md).

# CAS

> **Status in Chamilo 2.x.** Die CAS-Konfigurationseinträge (`cas_activate`, `cas_server`, `cas_server_uri`, `cas_port`, `cas_protocol`, `cas_add_user_activate`) existieren weiterhin in den Plattformeinstellungen als Überbleibsel aus Chamilo 1.x, und CAS erscheint immer noch als wählbare Authentifizierungsquelle im Benutzerformular — jedoch ist kein CAS-Authentifikator in die Sicherheits-Pipeline von Chamilo 2.x integriert. Eine Anmeldung über CAS funktioniert derzeit **nicht** ohne Weiteres. Wenn Sie SSO in Chamilo 2.x benötigen, verwenden Sie stattdessen [OAuth2](/2.x-de/administrationshandbuch/admin-guide/authentication/oauth2.md) (Azure / Keycloak / Generic) oder [LDAP](/2.x-de/administrationshandbuch/admin-guide/authentication/ldap.md).

## Was CAS tun würde (Verhalten in 1.x)

CAS (Central Authentication Service) ist ein Single-Sign-On-Protokoll, das häufig an Universitäten und Forschungseinrichtungen verwendet wird. In Chamilo 1.x führte ein Klick auf "Mit CAS anmelden" zu einer Weiterleitung zum CAS-Server, validierte das zurückgegebene Ticket und erstellte oder verknüpfte ein lokales Konto basierend auf den CAS-Attributen.

## Hinweis zur Migration

Wenn Sie ein Chamilo 1.x-Portal, das CAS verwendet hat, auf eine neuere Version aktualisieren, planen Sie, den Anmeldeprozess vorübergehend auf Basis von OAuth2 oder LDAP neu zu implementieren, bis der CAS-Authentifikator in einer zukünftigen 2.x-Version wiederhergestellt wird.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chamilo.org/2.x-de/administrationshandbuch/admin-guide/authentication/cas.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
